Components.utils.import("resource://gre/modules/PopupNotifications.jsm");

var cofImageURI = "chrome://unity/skin.cof.png";

UnityPopupManager = function (mainWindow) {
    this.mainWindow = mainWindow;
}

UnityPopupManager.prototype.requestIntegration = function (document, name, domain, integrateCallback, dontAskActionCallback) {
    var message = name + " ("+domain+") wants to integrate with Ubuntu";
    
    return this.mainWindow.PopupNotifications.show(this.mainWindow.gBrowser.getBrowserForDocument(document),
						   "unity-permission-popup", 
						   message,
						   null,
						   {
						       label: "Integrate",
						       accessKey: "I",
						       callback: integrateCallback
						   },
						   [
						       {
							   label: "Don't ask again",
							   accessKey: "D",
							   callback: dontAskActionCallback
						       }
						   ]);

							   
}

var EXPORTED_SYMBOLS = ["UnityPopupManager"];


